# manual test plan

Best served after running `make int-core` which assures most core functionality
is still working. These manual tests are for testing things that are hard to
wire up for testing in an automated way.

## recipe publish

- `abra recipe upgrade <recipe>`
  - `cd ~/.abra/apps/<recipe>/ && git diff` to ensure changes made

- `abra recipe sync <recipe>`
  - `cd ~/.abra/apps/<recipe>/ && git diff` to ensure changes made

- `abra recipe release <recipe> --dry-run`
  - prompts should be correct, read what `abra` asks you carefully

## deploy, upgrade, rollback

- `abra app deploy <app>`
- `abra app deploy --force <app>`
- `abra app deploy --chaos <app>`
- `abra app upgrade <app>`
- `abra app rollback <app>`

## app day-to-day ops

### easy mode

- `abra app ls -t <recipe>`
- `abra app ls -s <server>`
- `abra app ls -s <server> -t <recipe>`
- `abra app ls -s <server> -t <recipe> -S`
- `abra app config <app>`
- `abra app check <app>`
- `abra app ps <app>`
- `abra app logs <app>`
- `abra app cp <app>`
- `abra app run <app>`
- `abra app secret ls <app>`
- `abra app volume ls <app>`
- `abra app new --secrets <recipe>`

### hard mode

- `abra app restart <app>`
- `abra app remove <app>`
- `abra app secret insert <app> foo v1 bar`
- `abra app secret remove <app> foo`
- `abra app secret generate --all`
- `abra app volume remove --force <app>`
- `abra app errors -w <app>`
